List carve queries
GET
/api/v1/carves/{env}/queries/{target}
const url = 'https://osctrl.net/api/v1/carves/example/queries/example';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://osctrl.net/api/v1/carves/example/queries/example \ --header 'Authorization: <Authorization>'Returns file carve queries by target and environment.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”env
required
string
Environment name or UUID
target
required
string
Carve target filter
Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
active
boolean
carve_status
string
completed
boolean
created_at
string
creator
string
deleted
boolean
environment_id
integer
errors
integer
executions
integer
expected
integer
expiration
string
expired
boolean
extra_data
string
hidden
boolean
id
integer
name
string
path
string
protected
boolean
query
string
target
string
type
string
updated_at
string
Examplegenerated
[ { "active": true, "carve_status": "example", "completed": true, "created_at": "example", "creator": "example", "deleted": true, "environment_id": 1, "errors": 1, "executions": 1, "expected": 1, "expiration": "example", "expired": true, "extra_data": "example", "hidden": true, "id": 1, "name": "example", "path": "example", "protected": true, "query": "example", "target": "example", "type": "example", "updated_at": "example" }]Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Conflict
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Too many requests
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Service unavailable
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}